---
title: Navigator.wakeLock
slug: Web/API/Navigator/wakeLock
tags:
  - API
  - Reference
  - Screen Wake Lock API
---
<p>{{ApiRef("Screen Wake Lock API")}}{{SeeCompatTable}}{{securecontext_header}}</p>

<p><span class="seoSummary">The <strong><code>wakeLock</code></strong> read-only property returns a {{DOMxRef("WakeLock")}} interface which allows a document to acquire a screen wake lock. While a screen wake lock is active, the user agent will try to prevent the device from dimming the screen, turning it off completely, or showing a screensaver.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">const wakeLock = navigator.wakeLock;</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td><a href="https://w3c.github.io/screen-wake-lock/#extensions-to-the-navigator-interface">Screen Wake Lock API</a></td>
   <td>Editor's Draft</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Navigator.wakeLock")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{DOMxRef("WakeLock.request","WakeLock.request()")}}</li>
 <li><a href="/en-US/docs/Web/API/Screen_Wake_Lock_API">Screen Wake Lock API</a></li>
 <li><a class="external" href="https://web.dev/wakelock/">Blog post - Stay awake with the Screen Wake Lock API</a></li>
</ul>
